"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.onRenderBody = void 0;

var _react = _interopRequireDefault(require("react"));

var _snippet = require("@segment/snippet");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

// analytics.js stub
var devShim = "\n  (function() {\n    const analytics = (window.analytics = {})\n    const methods = [\n      \"trackSubmit\", \"trackClick\", \"trackLink\", \"trackForm\",\n      \"pageview\", \"identify\", \"reset\", \"group\", \"ready\",\n      \"alias\", \"debug\", \"page\", \"once\", \"off\", \"on\",\n    ]\n\n    methods.forEach(\n      method =>\n        (analytics[method] = (...args) =>\n          console.log(\"analytics.\" + method, ...args))\n    )\n\n    analytics.track = (event, properties, options, callback) => {\n      console.log(\"analytics.track\", event, properties)\n      setTimeout(callback, 300)\n    }\n  })()\n";

var onRenderBody = function onRenderBody(_ref, options) {
  var setHeadComponents = _ref.setHeadComponents;
  var writeKey = options.writeKey;
  var trackingSnippet = process.env.NODE_ENV === "production" ? (0, _snippet.min)({
    apiKey: writeKey,
    page: false
  }) : devShim.toString();
  setHeadComponents([/*#__PURE__*/_react["default"].createElement("script", {
    key: "plugin-segment-analytics-js",
    dangerouslySetInnerHTML: {
      __html: trackingSnippet
    }
  })]);
};

exports.onRenderBody = onRenderBody;